diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/tx-duration-test.cc ns-3.44/src/wifi/test/tx-duration-test.cc
--- ns-3.43/src/wifi/test/tx-duration-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/tx-duration-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -1884,7 +1884,7 @@
     sections.erase(WIFI_PPDU_FIELD_SIG_A); // FIXME: do we keep using separate type for 11be?
     sections.erase(WIFI_PPDU_FIELD_SIG_B); // FIXME: do we keep using separate type for 11be?
     phyEntity = Create<EhtPhy>();
-    txVector.SetChannelWidth(20);
+    txVector.SetChannelWidth(MHz_u{20});
     txVector.SetNss(2); // EHT-LTF duration assumed to be always 8 us for the time being (see note
                         // in HePhy::GetTrainingDuration)
     txVector.SetMode(EhtPhy::GetEhtMcs9());
@@ -1919,17 +1919,17 @@
          ppduStart + MicroSeconds(56)}, // 1 HE-STF (@ 4 us) + 2 HE-LTFs (@ 8 us)
         ehtSigMode};
     CheckPhyHeaderSections(phyEntity->GetPhyHeaderSections(txVector, ppduStart), sections);
-    txVector.SetChannelWidth(160); // shouldn't have any impact
+    txVector.SetChannelWidth(MHz_u{160}); // shouldn't have any impact
     txVector.SetRuAllocation({96, 113, 113, 113, 113, 113, 113, 113}, 0);
 
     CheckPhyHeaderSections(phyEntity->GetPhyHeaderSections(txVector, ppduStart), sections);
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Tx Duration Test Suite
+ * @brief Tx Duration Test Suite
  */
 class TxDurationTestSuite : public TestSuite
 {
@@ -1948,7 +1948,7 @@
     AddTestCase(new HeSigBDurationTest(
                     {{{HeRu::RU_106_TONE, 1, true}, 11, 1}, {{HeRu::RU_106_TONE, 2, true}, 10, 4}},
                     VhtPhy::GetVhtMcs5(),
-                    20,
+                    MHz_u{20},
                     HeSigBDurationTest::OFDMA,
                     {96},
                     std::make_pair(2, 0), // both users in HE-SIG-B content channel 1
@@ -1964,7 +1964,7 @@
                                 {{HeRu::RU_52_TONE, 7, true}, 5, 3},
                                 {{HeRu::RU_52_TONE, 8, true}, 6, 2}},
                                VhtPhy::GetVhtMcs4(),
-                               40,
+                               MHz_u{40},
                                HeSigBDurationTest::OFDMA,
                                {96, 112},
                                std::make_pair(2, 4), // two users in HE-SIG-B content channel 1 and
@@ -1982,7 +1982,7 @@
                                 {{HeRu::RU_52_TONE, 8, true}, 6, 2},
                                 {{HeRu::RU_26_TONE, 14, true}, 3, 1}},
                                VhtPhy::GetVhtMcs3(),
-                               40,
+                               MHz_u{40},
                                HeSigBDurationTest::OFDMA,
                                {96, 15},
                                std::make_pair(2, 5), // two users in HE-SIG-B content channel 1 and
@@ -2002,7 +2002,7 @@
                                 {{HeRu::RU_242_TONE, 3, true}, 1, 1},
                                 {{HeRu::RU_242_TONE, 4, true}, 4, 1}},
                                VhtPhy::GetVhtMcs1(),
-                               80,
+                               MHz_u{80},
                                HeSigBDurationTest::OFDMA,
                                {96, 15, 192, 192},
                                std::make_pair(3, 6), // three users in HE-SIG-B content channel 1
@@ -2023,7 +2023,7 @@
                                 {{HeRu::RU_242_TONE, 4, true}, 4, 1},
                                 {{HeRu::RU_996_TONE, 1, false}, 1, 1}},
                                VhtPhy::GetVhtMcs1(),
-                               160,
+                               MHz_u{160},
                                HeSigBDurationTest::OFDMA,
                                {96, 15, 192, 192, 208, 208, 208, 208},
                                std::make_pair(4, 7), // four users in HE-SIG-B content channel 1 and
@@ -2042,7 +2042,7 @@
                                 {{HeRu::RU_26_TONE, 8, true}, 11, 1},
                                 {{HeRu::RU_26_TONE, 9, true}, 11, 1}},
                                VhtPhy::GetVhtMcs5(),
-                               20,
+                               MHz_u{20},
                                HeSigBDurationTest::OFDMA,
                                {0},
                                std::make_pair(9, 0), // 9 users in HE-SIG-B content channel 1
@@ -2057,7 +2057,7 @@
                                 {{HeRu::RU_52_TONE, 5, true}, 11, 1},
                                 {{HeRu::RU_52_TONE, 8, true}, 11, 2}},
                                VhtPhy::GetVhtMcs5(),
-                               40,
+                               MHz_u{40},
                                HeSigBDurationTest::OFDMA,
                                {112, 112},
                                std::make_pair(4, 4), // 4 users in both HE-SIG-B content channels
@@ -2073,7 +2073,7 @@
                                 {{HeRu::RU_52_TONE, 5, true}, 11, 2},
                                 {{HeRu::RU_52_TONE, 6, true}, 11, 3}},
                                VhtPhy::GetVhtMcs5(),
-                               40,
+                               MHz_u{40},
                                HeSigBDurationTest::OFDMA,
                                {112, 112},
                                std::make_pair(4, 4), // 4 users in both HE-SIG-B content channels
@@ -2084,7 +2084,7 @@
     AddTestCase(new HeSigBDurationTest(
                     {{{HeRu::RU_242_TONE, 1, true}, 11, 1}, {{HeRu::RU_242_TONE, 1, true}, 10, 4}},
                     VhtPhy::GetVhtMcs5(),
-                    20,
+                    MHz_u{20},
                     HeSigBDurationTest::MU_MIMO,
                     {192},
                     std::make_pair(2, 0), // both users in HE-SIG-B content channel 1
@@ -2097,7 +2097,7 @@
                                 {{HeRu::RU_242_TONE, 1, true}, 5, 2},
                                 {{HeRu::RU_242_TONE, 1, true}, 6, 1}},
                                VhtPhy::GetVhtMcs4(),
-                               20,
+                               MHz_u{20},
                                HeSigBDurationTest::MU_MIMO,
                                {192},
                                std::make_pair(3, 0), // all users in HE-SIG-B content channel 1
@@ -2111,7 +2111,7 @@
                                 {{HeRu::RU_242_TONE, 1, true}, 6, 3},
                                 {{HeRu::RU_242_TONE, 1, true}, 7, 2}},
                                VhtPhy::GetVhtMcs4(),
-                               20,
+                               MHz_u{20},
                                HeSigBDurationTest::MU_MIMO,
                                {192},
                                std::make_pair(4, 0), // all users in HE-SIG-B content channel 1
@@ -2127,7 +2127,7 @@
                                 {{HeRu::RU_242_TONE, 1, true}, 8, 1},
                                 {{HeRu::RU_242_TONE, 1, true}, 9, 1}},
                                VhtPhy::GetVhtMcs4(),
-                               20,
+                               MHz_u{20},
                                HeSigBDurationTest::MU_MIMO,
                                {192},
                                std::make_pair(6, 0), // all users in HE-SIG-B content channel 1
@@ -2145,7 +2145,7 @@
                                 {{HeRu::RU_242_TONE, 1, true}, 10, 1},
                                 {{HeRu::RU_242_TONE, 1, true}, 11, 1}},
                                VhtPhy::GetVhtMcs4(),
-                               20,
+                               MHz_u{20},
                                HeSigBDurationTest::MU_MIMO,
                                {192},
                                std::make_pair(8, 0), // all users in HE-SIG-B content channel 1
@@ -2156,7 +2156,7 @@
     AddTestCase(new HeSigBDurationTest(
                     {{{HeRu::RU_484_TONE, 1, true}, 11, 1}, {{HeRu::RU_484_TONE, 1, true}, 10, 4}},
                     VhtPhy::GetVhtMcs5(),
-                    40,
+                    MHz_u{40},
                     HeSigBDurationTest::MU_MIMO,
                     {200, 200},
                     std::make_pair(1, 1), // users equally split between the two content channels
@@ -2170,7 +2170,7 @@
              {{HeRu::RU_484_TONE, 1, true}, 5, 2},
              {{HeRu::RU_484_TONE, 1, true}, 6, 1}},
             VhtPhy::GetVhtMcs4(),
-            40,
+            MHz_u{40},
             HeSigBDurationTest::MU_MIMO,
             {200, 200},
             std::make_pair(2, 1), // 2 users in content channel 1 and 1 user in content channel 2
@@ -2184,7 +2184,7 @@
                      {{HeRu::RU_484_TONE, 1, true}, 6, 3},
                      {{HeRu::RU_484_TONE, 1, true}, 7, 2}},
                     VhtPhy::GetVhtMcs4(),
-                    40,
+                    MHz_u{40},
                     HeSigBDurationTest::MU_MIMO,
                     {200, 200},
                     std::make_pair(2, 2), // users equally split between the two content channels
@@ -2200,7 +2200,7 @@
                      {{HeRu::RU_484_TONE, 1, true}, 8, 1},
                      {{HeRu::RU_484_TONE, 1, true}, 9, 1}},
                     VhtPhy::GetVhtMcs4(),
-                    40,
+                    MHz_u{40},
                     HeSigBDurationTest::MU_MIMO,
                     {200, 200},
                     std::make_pair(3, 3), // users equally split between the two content channels
@@ -2218,7 +2218,7 @@
                      {{HeRu::RU_484_TONE, 1, true}, 10, 1},
                      {{HeRu::RU_484_TONE, 1, true}, 11, 1}},
                     VhtPhy::GetVhtMcs4(),
-                    40,
+                    MHz_u{40},
                     HeSigBDurationTest::MU_MIMO,
                     {200, 200},
                     std::make_pair(4, 4), // users equally split between the two content channels
@@ -2229,7 +2229,7 @@
     AddTestCase(new HeSigBDurationTest(
                     {{{HeRu::RU_996_TONE, 1, true}, 11, 1}, {{HeRu::RU_996_TONE, 1, true}, 10, 4}},
                     VhtPhy::GetVhtMcs5(),
-                    80,
+                    MHz_u{80},
                     HeSigBDurationTest::MU_MIMO,
                     {208, 208, 208, 208},
                     std::make_pair(1, 1), // users equally split between the two content channels
@@ -2243,7 +2243,7 @@
              {{HeRu::RU_996_TONE, 1, true}, 5, 2},
              {{HeRu::RU_996_TONE, 1, true}, 6, 1}},
             VhtPhy::GetVhtMcs4(),
-            80,
+            MHz_u{80},
             HeSigBDurationTest::MU_MIMO,
             {208, 208, 208, 208},
             std::make_pair(2, 1), // 2 users in content channel 1 and 1 user in content channel 2
@@ -2257,7 +2257,7 @@
                      {{HeRu::RU_996_TONE, 1, true}, 6, 3},
                      {{HeRu::RU_996_TONE, 1, true}, 7, 2}},
                     VhtPhy::GetVhtMcs4(),
-                    80,
+                    MHz_u{80},
                     HeSigBDurationTest::MU_MIMO,
                     {208, 208, 208, 208},
                     std::make_pair(2, 2), // users equally split between the two content channels
@@ -2273,7 +2273,7 @@
                      {{HeRu::RU_996_TONE, 1, true}, 8, 1},
                      {{HeRu::RU_996_TONE, 1, true}, 9, 1}},
                     VhtPhy::GetVhtMcs4(),
-                    80,
+                    MHz_u{80},
                     HeSigBDurationTest::MU_MIMO,
                     {208, 208, 208, 208},
                     std::make_pair(3, 3), // users equally split between the two content channels
@@ -2291,7 +2291,7 @@
                      {{HeRu::RU_996_TONE, 1, true}, 10, 1},
                      {{HeRu::RU_996_TONE, 1, true}, 11, 1}},
                     VhtPhy::GetVhtMcs4(),
-                    80,
+                    MHz_u{80},
                     HeSigBDurationTest::MU_MIMO,
                     {208, 208, 208, 208},
                     std::make_pair(4, 4), // users equally split between the two content channels
@@ -2303,7 +2303,7 @@
         new HeSigBDurationTest(
             {{{HeRu::RU_2x996_TONE, 1, true}, 11, 1}, {{HeRu::RU_2x996_TONE, 1, true}, 10, 4}},
             VhtPhy::GetVhtMcs5(),
-            160,
+            MHz_u{160},
             HeSigBDurationTest::MU_MIMO,
             {208, 208, 208, 208, 208, 208, 208, 208},
             std::make_pair(1, 1), // users equally split between the two content channels
@@ -2317,7 +2317,7 @@
              {{HeRu::RU_2x996_TONE, 1, true}, 5, 2},
              {{HeRu::RU_2x996_TONE, 1, true}, 6, 1}},
             VhtPhy::GetVhtMcs4(),
-            160,
+            MHz_u{160},
             HeSigBDurationTest::MU_MIMO,
             {208, 208, 208, 208, 208, 208, 208, 208},
             std::make_pair(2, 1), // 2 users in content channel 1 and 1 user in content channel 2
@@ -2331,7 +2331,7 @@
                      {{HeRu::RU_2x996_TONE, 1, true}, 6, 3},
                      {{HeRu::RU_2x996_TONE, 1, true}, 7, 2}},
                     VhtPhy::GetVhtMcs4(),
-                    160,
+                    MHz_u{160},
                     HeSigBDurationTest::MU_MIMO,
                     {208, 208, 208, 208, 208, 208, 208, 208},
                     std::make_pair(2, 2), // users equally split between the two content channels
@@ -2347,7 +2347,7 @@
                      {{HeRu::RU_2x996_TONE, 1, true}, 8, 1},
                      {{HeRu::RU_2x996_TONE, 1, true}, 9, 1}},
                     VhtPhy::GetVhtMcs4(),
-                    160,
+                    MHz_u{160},
                     HeSigBDurationTest::MU_MIMO,
                     {208, 208, 208, 208, 208, 208, 208, 208},
                     std::make_pair(3, 3), // users equally split between the two content channels
@@ -2365,7 +2365,7 @@
                      {{HeRu::RU_2x996_TONE, 1, true}, 10, 1},
                      {{HeRu::RU_2x996_TONE, 1, true}, 11, 1}},
                     VhtPhy::GetVhtMcs4(),
-                    160,
+                    MHz_u{160},
                     HeSigBDurationTest::MU_MIMO,
                     {208, 208, 208, 208, 208, 208, 208, 208},
                     std::make_pair(4, 4), // users equally split between the two content channels
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-aggregation-test.cc ns-3.44/src/wifi/test/wifi-aggregation-test.cc
--- ns-3.43/src/wifi/test/wifi-aggregation-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/wifi-aggregation-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -6,6 +6,7 @@
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
 
+#include "ns3/attribute-container.h"
 #include "ns3/config.h"
 #include "ns3/eht-configuration.h"
 #include "ns3/fcfs-wifi-queue-scheduler.h"
@@ -36,7 +37,6 @@
 #include "ns3/wifi-psdu.h"
 #include "ns3/yans-wifi-helper.h"
 #include "ns3/yans-wifi-phy.h"
-#include <ns3/attribute-container.h>
 
 #include <algorithm>
 #include <iterator>
@@ -45,10 +45,10 @@
 using namespace ns3;
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Ampdu Aggregation Test
+ * @brief Ampdu Aggregation Test
  */
 class AmpduAggregationTest : public TestCase
 {
@@ -70,8 +70,8 @@
     /**
      * Construct object with non-default test parameters
      *
-     * \param name the name of the test case
-     * \param params the test parameters
+     * @param name the name of the test case
+     * @param params the test parameters
      */
     AmpduAggregationTest(const std::string& name, const Params& params);
 
@@ -79,28 +79,28 @@
     /**
      * Establish a BlockAck agreement.
      *
-     * \param recipient the recipient MAC address
+     * @param recipient the recipient MAC address
      */
     void EstablishAgreement(const Mac48Address& recipient);
 
     /**
      * Enqueue the given number of packets addressed to the given station and of the given size.
      *
-     * \param count the number of packets
-     * \param size the size (bytes) of each packet
-     * \param dest the destination address
+     * @param count the number of packets
+     * @param size the size (bytes) of each packet
+     * @param dest the destination address
      */
     void EnqueuePkts(std::size_t count, uint32_t size, const Mac48Address& dest);
 
     /**
-     * \return the Best Effort QosTxop
+     * @return the Best Effort QosTxop
      */
     Ptr<QosTxop> GetBeQueue() const;
 
     /**
      * Dequeue a PSDU.
      *
-     * \param mpduList the MPDUs contained in the PSDU
+     * @param mpduList the MPDUs contained in the PSDU
      */
     void DequeueMpdus(const std::vector<Ptr<WifiMpdu>>& mpduList);
 
@@ -112,8 +112,8 @@
     /**
      * Fired when the MAC discards an MPDU.
      *
-     * \param reason the reason why the MPDU was discarded
-     * \param mpdu the discarded MPDU
+     * @param reason the reason why the MPDU was discarded
+     * @param mpdu the discarded MPDU
      */
     void MpduDiscarded(WifiMacDropReason reason, Ptr<const WifiMpdu> mpdu);
 
@@ -225,6 +225,7 @@
     m_device->SetMac(m_mac);
     m_mac->SetWifiPhys(m_phys);
     std::vector<Ptr<ChannelAccessManager>> caManagers;
+    caManagers.reserve(m_params.nLinks);
     for (uint8_t i = 0; i < m_params.nLinks; i++)
     {
         caManagers.emplace_back(CreateObject<ChannelAccessManager>());
@@ -479,9 +480,7 @@
                           true,
                           "no MPDU aggregation should be performed if there is no agreement");
 
-    m_managers.at(SINGLE_LINK_OP_ID)
-        ->SetMaxSsrc(
-            0); // set to 0 in order to fake that the maximum number of retries has been reached
+    m_mac->SetFrameRetryLimit(1); // fake that the maximum number of retries has been reached
     m_mac->TraceConnectWithoutContext("DroppedMpdu",
                                       MakeCallback(&AmpduAggregationTest::MpduDiscarded, this));
     htFem->m_dcf = GetBeQueue();
@@ -507,10 +506,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Two Level Aggregation Test
+ * @brief Two Level Aggregation Test
  */
 class TwoLevelAggregationTest : public AmpduAggregationTest
 {
@@ -727,10 +726,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief 802.11ax aggregation test which permits 64 or 256 MPDUs in A-MPDU according to the
+ * @brief 802.11ax aggregation test which permits 64 or 256 MPDUs in A-MPDU according to the
  * negotiated buffer size.
  */
 class HeAggregationTest : public AmpduAggregationTest
@@ -739,7 +738,7 @@
     /**
      * Constructor.
      *
-     * \param bufferSize the size (in number of MPDUs) of the BlockAck buffer
+     * @param bufferSize the size (in number of MPDUs) of the BlockAck buffer
      */
     HeAggregationTest(uint16_t bufferSize);
 
@@ -793,10 +792,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief 802.11be aggregation test which permits up to 1024 MPDUs in A-MPDU according to the
+ * @brief 802.11be aggregation test which permits up to 1024 MPDUs in A-MPDU according to the
  * negotiated buffer size.
  */
 class EhtAggregationTest : public AmpduAggregationTest
@@ -805,7 +804,7 @@
     /**
      * Constructor.
      *
-     * \param bufferSize the size (in number of MPDUs) of the BlockAck buffer
+     * @param bufferSize the size (in number of MPDUs) of the BlockAck buffer
      */
     EhtAggregationTest(uint16_t bufferSize);
 
@@ -923,10 +922,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test for A-MSDU and A-MPDU aggregation
+ * @brief Test for A-MSDU and A-MPDU aggregation
  *
  * This test aims to check that the packets passed to the MAC layer (on the sender
  * side) are forwarded up to the upper layer (on the receiver side) when A-MSDU and
@@ -950,7 +949,7 @@
     /**
      * Constructor.
      *
-     * \param notifyMacHdrRxEnd whether notification of MAC header reception end is enabled
+     * @param notifyMacHdrRxEnd whether notification of MAC header reception end is enabled
      */
     PreservePacketsInAmpdus(bool notifyMacHdrRxEnd);
     ~PreservePacketsInAmpdus() override;
@@ -969,22 +968,22 @@
 
     /**
      * Callback invoked when an MSDU is passed to the MAC
-     * \param packet the MSDU to transmit
+     * @param packet the MSDU to transmit
      */
     void NotifyMacTransmit(Ptr<const Packet> packet);
     /**
      * Callback invoked when the sender MAC passes a PSDU(s) to the PHY
-     * \param psduMap the PSDU map
-     * \param txVector the TX vector
-     * \param txPowerW the transmit power in Watts
+     * @param psduMap the PSDU map
+     * @param txVector the TX vector
+     * @param txPowerW the transmit power in Watts
      */
     void NotifyPsduForwardedDown(WifiConstPsduMap psduMap, WifiTxVector txVector, double txPowerW);
     /**
      * Callback invoked when the reception of the MAC header of an MPDU is completed.
-     * \param mac the MAC to which the reception of the MAC header is notified
-     * \param macHdr the MAC header of the MPDU being received
-     * \param txVector the TXVECTOR used to transmit the PSDU
-     * \param psduDuration the remaining duration of the PSDU
+     * @param mac the MAC to which the reception of the MAC header is notified
+     * @param macHdr the MAC header of the MPDU being received
+     * @param txVector the TXVECTOR used to transmit the PSDU
+     * @param psduDuration the remaining duration of the PSDU
      */
     void NotifyMacHeaderEndRx(Ptr<WifiMac> mac,
                               const WifiMacHeader& macHdr,
@@ -992,7 +991,7 @@
                               Time psduDuration);
     /**
      * Callback invoked when the receiver MAC forwards a packet up to the upper layer
-     * \param p the packet
+     * @param p the packet
      */
     void NotifyMacForwardUp(Ptr<const Packet> p);
 };
@@ -1172,7 +1171,7 @@
     client->SetRemote(socket);
     wifiStaNode.Get(0)->AddApplication(client);
     client->SetStartTime(Seconds(1));
-    client->SetStopTime(Seconds(3.0));
+    client->SetStopTime(Seconds(3));
     Simulator::Schedule(Seconds(1.5),
                         &PacketSocketClient::SetAttribute,
                         client,
@@ -1182,8 +1181,8 @@
     Ptr<PacketSocketServer> server = CreateObject<PacketSocketServer>();
     server->SetLocal(socket);
     wifiApNode.Get(0)->AddApplication(server);
-    server->SetStartTime(Seconds(0.0));
-    server->SetStopTime(Seconds(4.0));
+    server->SetStartTime(Seconds(0));
+    server->SetStopTime(Seconds(4));
 
     sta_device->GetMac()->TraceConnectWithoutContext(
         "MacTx",
@@ -1224,10 +1223,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Aggregation Test Suite
+ * @brief Wifi Aggregation Test Suite
  */
 class WifiAggregationTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-channel-switching-test.cc ns-3.44/src/wifi/test/wifi-channel-switching-test.cc
--- ns-3.43/src/wifi/test/wifi-channel-switching-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/wifi-channel-switching-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -29,8 +29,8 @@
 NS_LOG_COMPONENT_DEFINE("WifiChannelSwitchingTest");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
  * This test verifies that communication between an AP and a STA resumes
  * after that both switch channel and PHY band. The channel switch is
@@ -42,7 +42,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     WifiChannelSwitchingTest();
     ~WifiChannelSwitchingTest() override;
@@ -53,23 +53,23 @@
      * Callback invoked when a station associates with an AP. Tracks the number of
      * times the association procedure is performed.
      *
-     * \param bssid the BSSID
+     * @param bssid the BSSID
      */
     void Associated(Mac48Address bssid);
     /**
      * Callback invoked when PHY receives a PSDU to transmit from the MAC. Tracks the
      * number of times a QoS data frame is transmitted by the STA.
      *
-     * \param psduMap the PSDU map
-     * \param txVector the TX vector
-     * \param txPowerW the tx power in Watts
+     * @param psduMap the PSDU map
+     * @param txVector the TX vector
+     * @param txPowerW the tx power in Watts
      */
     void Transmit(WifiConstPsduMap psduMap, WifiTxVector txVector, double txPowerW);
     /**
      * Function to trace packets received by the server application
      *
-     * \param p the packet
-     * \param addr the address
+     * @param p the packet
+     * @param addr the address
      */
     void L7Receive(Ptr<const Packet> p, const Address& addr);
     /**
@@ -83,10 +83,10 @@
     /**
      * Callback invoked when the PHY on the given node changes state.
      *
-     * \param nodeId the given node ID
-     * \param start the time state changes
-     * \param duration the time the PHY will stay in the new state
-     * \param state the new PHY state
+     * @param nodeId the given node ID
+     * @param start the time state changes
+     * @param duration the time the PHY will stay in the new state
+     * @param state the new PHY state
      */
     void StateChange(uint32_t nodeId, Time start, Time duration, WifiPhyState state);
 
@@ -177,13 +177,13 @@
     client->SetRemote(socket);
     m_staNode.Get(0)->AddApplication(client);
     client->SetStartTime(Seconds(0.5));
-    client->SetStopTime(Seconds(1.0));
+    client->SetStopTime(Seconds(1));
 
     auto server = CreateObject<PacketSocketServer>();
     server->SetLocal(socket);
     m_apNode.Get(0)->AddApplication(server);
-    server->SetStartTime(Seconds(0.0));
-    server->SetStopTime(Seconds(1.0));
+    server->SetStartTime(Seconds(0));
+    server->SetStopTime(Seconds(1));
 }
 
 void
@@ -209,7 +209,7 @@
 void
 WifiChannelSwitchingTest::DoRun()
 {
-    Time simulationTime(Seconds(6.0));
+    Time simulationTime(Seconds(6));
 
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(40);
@@ -292,10 +292,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Block Ack Test Suite
+ * @brief Block Ack Test Suite
  */
 class WifiChannelSwitchingTestSuite : public TestSuite
 {
